Subject: Re: [bug#34824] [PATCH staging] libdrm/Mesa Meson patch series

From: Marius Bakke <[email-masked]>
Date: Mon, 18 Mar 2019 15:17:27 +0100

Rutger Helling <[email-masked]> writes:

> Hi Marius,
>
> thanks for the review.
>
> So when I rebuilt my entire system a while back with these patches it
> was only those few SDL packages that were affected. Unfortunately I have
> no way of knowing for sure if it won't happen anywhere else, but it
> does seem to be something contained to just SDL(1).
>
> The packages fail with the following error if "mesa" isn't an explicit
> input:
>
> ld: cannot find -lGL
> collect2: error: ld returned 1 exit status
>
> WDYT? Should I go ahead and push these patches or do you have other
> ideas?

Well, we still don't know why -lGL is suddenly there.  Did you inspect
the pkg-config files or sdl-config output to figure out why?

I suspect Mesa should be propagated somewhere, instead of added as an
input in a bunch of places.